workspace "datacomp"
    configurations { "debug", "release" }
    location "."

project "datacomp"
    kind "WindowedApp"
    language "C"
    location "build/"
    files { "src/**.c" }
    includedirs { "src/", "vendor/" }
    links { "raylib", "m" }
    targetdir "bin/"
    postbuildcommands "{COPYDIR} ../resources %{cfg.targetdir}"
    filter "configurations:debug"
        defines { "DEBUG" }
        optimize "Off"
        symbols "On"
    filter "configurations:release"
        defines { "NDEBUG" }
        optimize "On"
        symbols "Off"
